#!/bin/sh

# 计算模型对某天，某个CID的打分情况，输出平均值

cid=$1
model=$2
hdfs_path=$3

MODEL_PATH=/root/zhaohp/recommend-emr-dataprocess/model
PREDICT_PATH=/root/zhaohp/recommend-emr-dataprocess/predict
HADOOP=/opt/apps/HADOOP-COMMON/hadoop-common-current/bin/hadoop
FM_HOME=/root/sunmingze/alphaFM

$HADOOP fs -text ${hdfs_path}/* | grep "cid_${cid}" | ${FM_HOME}/fm_predict -m ${MODEL_PATH}/${model} -dim 8 -core 8 -out ${PREDICT_PATH}/${model}_${cid}.txt

score_avg=`awk '{ sum += $2; count++ } END { if (count > 0) print sum / count }' ${PREDICT_PATH}/${model}_${cid}.txt`

echo -e "CID- ${cid} -平均分计算结果: ${score_avg} \n\t模型: ${MODEL_PATH}/${model} \n\tHDFS数据路径: ${hdfs_path} \n\t"

